## org.eclipse.wst.server.core.model
Interface IModuleFile

All Superinterfaces:
  IModuleResource

All Known Implementing Classes:
  ModuleFile

    public interface IModuleFile

extends IModuleResource

A file within a module.

Since:
  1.0

Method Summary
`long` `getModificationStamp()` Returns a modification stamp.

Methods inherited from interface org.eclipse.wst.server.core.model.IModuleResource
`getModuleRelativePath, getName`

Method Detail

### getModificationStamp

    long getModificationStamp()

  Returns a modification stamp. Whenever the modification stamp changes, there may have been a change to the file.

  Returns:
    the modification stamp